function S = createChildsSibs(S)
% creates the children and siblings lists

    % check args and set defaults
    if (nargin < 1)
        error('createChildsSibs: insufficient parameters!\n');
    end

    fprintf('Creating children and siblings ...\n');
    tStart = tic;
    S.children = cell(size(S.parent));
    S.siblings = cell(size(S.parent));
    for i=1:length(S.parent)
        S.children{(S.parent(i))} = uint16([S.children{(S.parent(i))} i]);
    end
    for i=1:length(S.children)
        if isempty(S.children{i}) == 0
            for j=1:length(S.children{i})
                tempsibs = S.children{i};
                tempsibs(j) = [];
                S.siblings{S.children{i}(j)} = tempsibs;
            end
        end
    end
    toc(tStart)
end
