function S = gotoNextLeaf(S)
% go to next leaf;
% find the next leaf that hasn't been labeled yet

    % check args and set defaults
    if (nargin < 1)
        error('gotoNextLeaf: insufficient parameters!\n');
    end

    foundit = 0;
    while foundit == 0
        % note: could set this to the next leaf in the soretd paths list
        S.currentleaf = S.currentleaf + 1;
        if S.labels(S.leaves(S.currentleaf)) == 0 %leaf not yet labeled
            foundit = 1;
        end
        if S.currentleaf > length(S.leaves)
            S.currentleaf = 1; %loop around
        end
        if min(abs(S.labels(S.leaves))) == 1 %all leaves labeled
            fprintf(1,'All leaves labeled\n');
            foundit = 1;
        end
    end
    S.current = S.leaves(S.currentleaf);
end