function S = setSibsParent(S,ind,par)
% sets parents of all the siblings of ind to par
% note: ind takes on the default value of S.current
% note: par takes on the default value of S.root

    % check args and set defaults
    if (nargin < 1)
        error('setSibsParents: insufficient parameters!\n');
    end
    if (nargin < 2)
        ind = S.current;
    end
    if (nargin < 3)
        par = S.root;
    end

    [mySibs nSibs] = getSibs(S,ind);

    for i=1:nSibs
        S.parents(mySibs(i)) = par;    
    end
    
end