function S = setValue(S,ind,value)
% sets value of ind to value
% value = 0 for unlabeled
% value = 1 for rock
% value = -1 for norock
% note: ind takes on the default value of S.current
% note: value takes on the default value of 0

    % check args and set defaults
    if (nargin < 1)
        error('setValue: insufficient parameters!\n');
    end
    if (nargin < 2)
        ind = S.current;
    end
    if (nargin < 3)
        value = 0;
    end
    
    S.labels(ind) = value;
    
end
