function S = createLeaves(S)
% creates the leaves lists

    % check args and set defaults
    if (nargin < 1)
        error('createLeaves: insufficient parameters!\n');
    end
    
    fprintf('Creating leaves ...\n');
    tStart = tic;
    S.leaves = uint16(find(S.scale == min(S.scale)));
    if (~exist('S.labels', 'var'))
        S.leaflabels = uint16(zeros(size(S.ucm)));
        for r = 1:numel(S.regions)
            if S.scale(r)==min(S.scale),
                S.leaflabels(S.regions{r})=r;
            end
        end
    end
    toc(tStart)
end

    
