function S = createPaths(S)
% measures all the paths between leaves and root
% naive method: travel up from all the leaves (implemented)
% better method: recursive or divide and conquer (untested)

    % check args and set defaults
    if (nargin < 1)
        error('createPaths: insufficient parameters!\n');
    end
    
    fprintf('Creating paths ...\n');
    tStart = tic;
    
    % initialize path structure
    S.paths = struct('numNodes', zeros(1,numel(S.leaves), 'uint16'), ...
        'totDist', zeros(1,numel(S.leaves), 'uint16'), ...
        'minDist', zeros(1,numel(S.leaves), 'uint16'), ...
        'maxDist', zeros(1,numel(S.leaves), 'uint16'), ...
        'avgDist', zeros(1,numel(S.leaves), 'uint16'));

    % naive method
    for i = 1:numel(S.leaves)
        % fprintf(['Measuring path ', num2str(i), '\n']);
        [numNodes, totDist, minDist, maxDist, avgDist] = measurePath(S, S.leaves(i));
        S.paths.numNodes(i) = numNodes;
        S.paths.totDist(i) = totDist;
        S.paths.minDist(i) = minDist;
        S.paths.maxDist(i) = maxDist;
        S.paths.avgDist(i) = avgDist;
    end
    
    % recursive method (untested)
    % numPaths = measureDown(S, S.root, 1);

    toc(tStart)
end
    
% recursive method (not tested, and probably not needed)
% function numPaths = measureDown(S, ind, numPaths)
%     if (~isempty(S.children{ind}))
%         for i = 1:numel(S.children{ind})
%             S.paths.minDist(numPaths) = min(minDist, S.paths.minDist(numPaths));
%             numPaths = measureDown(S, S.children{ind[i]}, numPaths);
%         end
%     end
%     return(numPaths);
% end
