function [numNodes, totDist, minDist, maxDist, avgDist] = measurePath(S, myInd)
% travels up the path from myInd to the root of the tree
% measures distance between nodes and number of nodes
% note: myind takes on the default value of S.current

    % check args and set defaults
    if (nargin < 1)
        error('measurePath: insufficient parameters!\n');
    end
    if (nargin < 2)
        myInd = S.current;
    end
    maxDist = 0;
    minDist = 0; 
    totDist = 0;
    numNodes = 1;
    
    % travel up the tree
    while (myInd ~= S.root)
%         fprintf(['At node ', num2str(myInd), '\n']);
        pInd = getParent(S, myInd);
        numNodes = numNodes + 1;
        myDist = S.scale(pInd) - S.scale(myInd);
        totDist = totDist + myDist;
        if (myDist > maxDist) 
            maxDist = myDist;
        end
        if (myDist < minDist) 
            minDist = myDist;
        end
        myInd = pInd;
    end
    avgDist = totDist / numNodes;
end

