function S = switchParentsValue(S,ind,valSet,valStop,valSibs)

% valSet = value we want to set the parent to
% valStop = value of parent when we stop the function (what we're switching
% from)
% valSibs = value to set to children of parent being switched
% value = 0 for unlabeled
% value = 1 for rock
% value = -1 for norock
% note: ind takes on the default value of S.current
% note: default values of other parameters are -1,1,0

    % check args and set defaults
    if (nargin < 1)
        error('switchParentsValue: insufficient parameters!\n');
    end
    if (nargin < 2)
        ind = S.current;
    end
    if (nargin < 3)
        valSet = -1;
    end
    if (nargin < 4)
        valStop = 1;
    end
    if (nargin < 5)
        valSibs = 0;
    end

    parent = getParent(S,ind);

    if parent ~= 0
        if S.labels(parent) ~= valStop
            S = switchParentsValue(S,parent,valSet,valStop,valSibs);
        else
            S.labels(parent) = valSet;
            S = setChildrenValue(S,parent,valSibs);
%           [mySibs nSibs] = getSibs(S,ind);
%           for i=1:nSibs
%               S.label(mySibs(i)) = valSibs;
%               S = setChildrenValue(S,mySibs(i),valSibs);
%           end
        end 
    end

end